<?php

namespace WpBeacon\Providers;

class WpBeaconServiceProvider implements Provider
{
    const PLUGIN_VERSION = '1.0.0-dev';

    protected function providers()
    {
        return [
            ApiServiceProvider::class,
        ];
    }

    public function register(): void
    {
        foreach ($this->providers() as $service) {
            (new $service)->register();
        }
    }

    public function boot()
    {
        (new UpdateServiceProvider())->register();
    }
}
